<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.log.logMdjfRy.mapper.LogMdjfRyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="logMdjfRyResultMap" type="org.springblade.modules.log.logMdjfRy.entity.LogMdjfRyEntity">
        <result column="id" property="id"/>
        <result column="jf_id" property="jfId"/>
        <result column="xm" property="xm"/>
        <result column="xb" property="xb"/>
        <result column="sfzh" property="sfzh"/>
        <result column="lxdh" property="lxdh"/>
        <result column="lb" property="lb"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="ryzp" property="ryzp"/>
        <result column="sflk" property="sflk"/>
        <result column="qmzp" property="qmzp"/>
        <result column="hfzp" property="hfzp"/>
    </resultMap>


    <select id="selectLogMdjfRyPage" resultMap="logMdjfRyResultMap">
        select * from log_mdjf_ry where is_deleted = 0
    </select>


    <select id="exportLogMdjfRy" resultType="org.springblade.modules.log.logMdjfRy.excel.LogMdjfRyExcel">
        SELECT * FROM log_mdjf_ry ${ew.customSqlSegment}
    </select>

</mapper>
